<?php
/* ******************************************************************
PukiWiki用
    リンク横の画像をクリックすると別ウィンドウに開くようにするプラグイン
    PukiWiki 1.4.7 で動作確認済み

○書式
    &linkblank(リンク先URL){インライン要素（省略可）};

○書式例
    &linkblank(http://www.yahoo.co.jp/){Yahoo};

○概要
    上の書式例だと
    Yahoo（画像）
    と表示されて、Yahooをクリックすると_topつまり同じウィンドウにリンク先が表示され、
    画像をクリックすると_blankつまり新しいウィンドウに表示されます。

    &linkblank(http://www.yahoo.co.jp/);
    と書くと
    http://www.yahoo.co.jp/（画像）
    と表示されます。

    リンク先URLを省略すると何も起こりません

○設置手順
１．このlinkblank.inc.phpをpluginフォルダへアップロードします。
２．Wikiの任意の場所に
　　&linkblank(http://www.yahoo.co.jp/){Yahoo};
　　と書きます。
３．画像がないので　Yahoo[×]　と表示されると思います。
４．Yahooをクリックすると同じウィンドウにYahooが開き、
　　[×]をクリックすると別ウィンドウが開くことを確認します。
５．適当な画像をimageフォルダにexternal_link.gifとして保存します。
　　画像の拡張子がgifでない場合は、このphpの68行目あたりにある
　　src="image/external_link.gif"　を書き換えて再びアップロードしてください。
６．imgタグに class="img_ext" を入れてあるので、
    skinフォルダのpukiwiki.css.phpに

	.img_ext
	{
		border:none;
		vertical-align:middle;
		padding: 0px 5px 0px 5px;
	}

    を追加すると、画像の左右にちょっとすき間が出来ます。

※当プラグインは　ごろり庵　様
http://56rian.dip.jp/Top/?cmd=read&lnkinc=%A5%D1%A5%BD%A5%B3%A5%F3%2Fpukiwiki%2F%A4%D8%A4%CA%A4%C1%A4%E7%A4%B3%BC%AB%BA%EE%A5%D7%A5%E9%A5%B0%A5%A4%A5%F3%2Fahblank.inc.php&stt=0&page=%A5%D1%A5%BD%A5%B3%A5%F3%2Fpukiwiki%2F%A4%D8%A4%CA%A4%C1%A4%E7%A4%B3%BC%AB%BA%EE%A5%D7%A5%E9%A5%B0%A5%A4%A5%F3#d8e21102
　のahblank.inc.phpを改造したものです。
　勝手に拝借してすみません。

※PHP歴2時間のド素人が作ってますので、重大なバグがあるかもしれません。
　自己責任で使用してください。

ねお
faithfulneo@gmail.com

****************************************************************** */


function plugin_linkblank_inline() {

	global $vars;

	// #####             ↓★★画像ファイル名★★↓
	$img_ext = '<img src="image/external_link.gif" alt="link" title="新しいウィンドウで開く" class="img_ext" />';

	$args = func_get_args();
	$a1   = del_space($args[0]);
	$body = $args[1];

	// リンク先が空の場合は処理しない
	if ($a1 == '') return $body;

	//インライン要素が空の場合はリンク先URLをそのまま表示
	if ($body == '') $body = $a1;

	// リンクタグ整形
	$ret    = '<a href="' . $a1 . '"';

	## target属性を付ける
	$ret .= ' rel="nofollow">' . $body . '</a>';

	$ret .= '<a href="' . $a1 . '" target="_blank">' . $img_ext . '</a>';

	return $ret;
}


function del_space($str) {

	$ret = '';

	if (isset($str)) {

		// 半角スペースを取り除く
		$ret = ereg_replace(" ", "", $str);

		// 全角スペースを取り除く
		$ret = ereg_replace("　", "", $ret);
	}

	return $ret;
}

?>
